# IRsViewNode Interface Reference

Inherits IUnknown.

List of all members.

## Properties
RtDimension * | Dimension`[get]`
RtBool * | ExitControl`[get]`
BSTR * | ShortName`[get]`
HRESULT | CanSwitchToNow ([out, retval] RtBool *pVal)
## Public Member Functions
Methods
HRESULT | AttachViewWindowHandle ([in] HWND hWnd)
HRESULT | Prepare (BSTR bsRootNodeName)
HRESULT | PostShowUpdate (void)
HRESULT | OnWndDestroy (void)
HRESULT | OnSetRoot (BSTR bsRootNodeName)
HRESULT | IsValidRoot (IRsNode *pRootNode)

## Detailed Description

Interface of Rosetta View Node.

Author:
  Ivan Hronec This interface declares properties and methods that allow make a view window controlled by View Node.

## Member Function Documentation

HRESULT IRsViewNode::AttachViewWindowHandle | ( | [in] HWND | hWnd | ) |

This method attaches new created ActiveX control to the new created container window.

Parameters:

  | hWnd | [In] Handle of Container window that will host the ActiveX control.

Returns:
  S_OK when window was successfully attached to WM.

  Error code otherwise.

HRESULT IRsViewNode::Prepare | ( | BSTR | bsRootNodeName | ) |

This method prepares node to work as viewer.

Parameters:

  | bsRootNodeName | [In] Root node name for viewer.

Returns:
  S_OK when window was successfully prepared.

  Error code otherwise.

HRESULT IRsViewNode::PostShowUpdate | ( | void |  | ) |

This method updates node when it is first time showed.

Returns:
  S_OK when window was successfully updated.

  Error code otherwise.

HRESULT IRsViewNode::OnWndDestroy | ( | void |  | ) |

Notification that container window is about to be destroyed, all pointers to attached ActiveX control should be released here.

Returns:
  The return value is ignored.

HRESULT IRsViewNode::OnSetRoot | ( | BSTR | bsRootNodeName | ) |

Notification that new viewr root was set.

Returns:
  S_OK when window was successfully updated.

  Error code otherwise.

HRESULT IRsViewNode::IsValidRoot | ( | IRsNode * | pRootNode | ) |

Method to check if root is acceptable for view node.

Returns:
  S_OK when root is acceptable.

  S_FALSE when root is not acceptable.

  Error code otherwise.